lgt2txt(1)

NAME
lgt2txt - Logtalk script for converting XML documenting files into text files

SYNOPSIS
lgt2txt [ -d directory ] [ -p processor ]
lgt2txt -h

DESCRIPTION
lgt2txt is a Logtalk script for converting all Logtalk XML documenting files in the current directory into text files. Assumes UTF-8 encoding.

OPTIONS

-d  directory Output directory for the text files.

-p  processor XSLT processor.

-h  Prints a summary of the script options.

REQUIREMENTS
Requires a compatible XSLT processor. See the script help screen for more information.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/tools/lgtdoc/xml/logtalk.dtd
    The Logtalk DTD file.

$LOGTALKUSER/tools/lgtdoc/xml/custom.ent
    The Logtalk custom entities file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk.xsd
    The Logtalk XML Schema file.

$LOGTALKUSER/tools/lgtdoc/xml/lgttxt.xsl
    The default XSLT file.

SEE ALSO
The Logtalk website at <https://logtalk.org/>

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

logtalk_user_setup(1), lgt2html(1), lgt2xml(1), lgt2pdf(1), lgt2md(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2015 Paulo Moura.